<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:template name="root" match="/">
  <html>
    <head>
      <title>
        <xsl:text>Photo Album: </xsl:text>
        <xsl:value-of select="/jAlbum/albumName"/>
      </title>
      <style type="text/css">
        body { background-color: #000000; }
        a { color: #03a0fc; }
        h1 { color: #ffffff; }
        h2 { color: #ffffff; }
        h3 { color: #ffffff; text-align: right; }
      </style>
    </head>
    <body>
      <h1>
          <xsl:value-of select="/jAlbum/albumName"/>
      </h1>
      <h2>
        <a href="index.html">
          Back to Index
        </a>
      </h2>
      <xsl:for-each select="/jAlbum/albumImages/albumImage">
        <div style="width: 120px; height: 120px; border-width: thin; float: left;">
          <a>
            <xsl:attribute name="href">
              <xsl:text>html/</xsl:text>
              <xsl:value-of select="position()"/>
              <xsl:text>.html</xsl:text>
            </xsl:attribute>
            <img>
              <xsl:attribute name="src">
                <xsl:text>images/</xsl:text>
                <xsl:value-of select="thumbnailFilename"/>
              </xsl:attribute>          
            </img>
          </a>
        </div>
      </xsl:for-each>
    </body>
  </html>
</xsl:template>
</xsl:stylesheet>